Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PathArcRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathArcRel:
[legend]
Collaboration diagram for Magick::PathArcRel:
[legend]

## Public Member Functions
| PathArcRel (const PathArcArgs &coordinates_)
| PathArcRel (const PathArcArgsList &coordinates_)
| PathArcRel (const PathArcRel &original_)
| ~PathArcRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2394 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathArcRel::PathArcRel | ( | const PathArcArgs & | coordinates_ | ) |

Definition at line 1671 of file Drawable.cpp.

Magick::PathArcRel::PathArcRel | ( | const PathArcArgsList & | coordinates_ | ) |

Definition at line 1675 of file Drawable.cpp.

Magick::PathArcRel::PathArcRel | ( | const PathArcRel & | original_ | ) |

Definition at line 1679 of file Drawable.cpp.

Magick::PathArcRel::~PathArcRel | ( | void |  | ) |

Definition at line 1684 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathArcRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 1697 of file Drawable.cpp.

void Magick::PathArcRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 1687 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp